<?php
	session_start();
	include_once("../conf/const.php");
	define("EDIT_PAGE","edit_config.php");
	define("CONF_FILE","../conf/config.php");
	define("SID_DIR","../data/sid/");
	//PC携帯判定
	$ua = $_SERVER['HTTP_USER_AGENT'];
	$mobile = mobile_check($ua);
	
	//セッションID
	if($mobile){
		$sid = (!empty($_GET["sid"]))?$_GET["sid"]:"nosid";
	}else{
		$sid = session_id();
	}
	//パスワードの確認
	if(!empty($qc_pass)){
		if(file_exists(SID_DIR.$sid)==false) {
			//loginページへリダイレクト
			header("HTTP/1.1 302 Moved Temporarily");
			header("Location: ../".LOGIN_PAGE);
			exit;
		}
	}
	//NGファイル読み込み
	$ng_post = file_get_contents("../data/ng/post.ini");
	$ng_name = file_get_contents("../data/ng/name.ini");
	
	//POSTのチェック
	if($_POST["edit-sub"] and !$demo_mode){
		//数字じゃないと困るものは判定して強制デフォルト値
		$_POST["conf_click_limit"] = (is_numeric($_POST["conf_click_limit"]))?$_POST["conf_click_limit"]:10;
		$_POST["conf_text_max"] = (is_numeric($_POST["conf_text_max"]))?$_POST["conf_text_max"]:1000;
		$_POST["conf_timeout_date"] = (is_numeric($_POST["conf_timeout_date"]))?$_POST["conf_timeout_date"]:"";
		$_POST["conf_recent"] = (is_numeric($_POST["conf_recent"]))?$_POST["conf_recent"]:20;
		
		$qc_pass = $_POST["qc_pass"];
		$conf_home_url = $_POST["conf_home_url"];
		$conf_click_limit = $_POST["conf_click_limit"];
		$conf_text_max = $_POST["conf_text_max"];
		$conf_timeout_date = $_POST["conf_timeout_date"];
		$conf_date_top = $_POST["conf_date_top"];
		$conf_recent = $_POST["conf_recent"];
		$conf_default_msg = htmlspecialchars_decode(stripslashes($_POST["conf_default_msg"]),ENT_QUOTES);
		$conf_tag_comment_f = htmlspecialchars_decode(stripslashes($_POST["conf_tag_comment_f"]),ENT_QUOTES);
		$conf_tag_comment_r = htmlspecialchars_decode(stripslashes($_POST["conf_tag_comment_r"]),ENT_QUOTES);
		$conf_tag_auther_f = htmlspecialchars_decode(stripslashes($_POST["conf_tag_auther_f"]),ENT_QUOTES);
		$conf_tag_auther_r = htmlspecialchars_decode(stripslashes($_POST["conf_tag_auther_r"]),ENT_QUOTES);
		$conf_tag_text_f = htmlspecialchars_decode(stripslashes($_POST["conf_tag_text_f"]),ENT_QUOTES);
		$conf_tag_text_r = htmlspecialchars_decode(stripslashes($_POST["conf_tag_text_r"]),ENT_QUOTES);
		$conf_tag_res_f = htmlspecialchars_decode(stripslashes($_POST["conf_tag_res_f"]),ENT_QUOTES);
		$conf_tag_res_r = htmlspecialchars_decode(stripslashes($_POST["conf_tag_res_r"]),ENT_QUOTES);
		$conf_addbr = $_POST["conf_addbr"];
		$conf_random_image = $_POST["conf_random_image"];
		$conf_deny_overimage = $_POST["conf_deny_overimage"];
		$conf_image_loop = $_POST["conf_image_loop"];
		$conf_spamcheck = $_POST["conf_spamcheck"];
		
		$ng_post = preg_replace('/^(\s)*(\r|\n|\r\n)/m',"",$_POST["ng_post"]);
		$ng_name = preg_replace('/^(\s)*(\r|\n|\r\n)/m',"",$_POST["ng_name"]);
		//NGリストから更新
		$fp = fopen("../data/ng/post.ini","w");
		fwrite($fp,$ng_post);
		fclose($fp);
		$fp = fopen("../data/ng/name.ini","w");
		fwrite($fp,$ng_name);
		fclose($fp);
		
		$fp = fopen(CONF_FILE,"wt");
		if($fp){
			flock($fp, LOCK_EX);
			fwrite($fp,"<?php\n");
			fwrite($fp,'$conf_init = 1;'."\n");
			foreach($_POST as $key=>$v){
				if($key != "edit-sub"){
					if(!is_numeric($v) and $v != "true" and $v != "false"){
						$v = '"'.addcslashes(stripslashes($v),'"').'"';
					}elseif($key=="qc_pass"){
						$v = '"'.$v.'"';
					}
					$val = 'fwrite($fp,"$"."$key = $v;\n");';
					eval($val);
				}
			}
			fwrite($fp,"?>\n");
			flock($fp, LOCK_UN);
			fclose($fp);
			//設定完了
			if($conf_init == 0){
				$init_fin = true;
			}
			if($conf_init == 0){
				$conf_init = 1;
			}else{
				$edit_res = '<div id="result">設定を変更しました。</div>';
			}
		}else{
			$edit_res = '<div id="alert">設定ファイルを保存できませんでした。</div>';
		}
	}elseif($demo_mode){
		$edit_res = '<div id="result">デモモード中ですので、設定変更は反映されません。</div>';
	}
	//TF振り分け
	$random_image_checked_t = (($_POST["edit-sub"] and $conf_random_image=="true") or $conf_random_image==true)?"checked":"";
	$random_image_checked_f = (($_POST["edit-sub"] and $conf_random_image=="false") or $conf_random_image==false)?"checked":"";
	$conf_deny_overimage_t = (($_POST["edit-sub"] and $conf_deny_overimage=="true") or $conf_deny_overimage)?"checked":"";
	$conf_deny_overimage_f = (($_POST["edit-sub"] and $conf_deny_overimage=="false") or !$conf_deny_overimage)?"checked":"";
	$conf_image_loop_t = (($_POST["edit-sub"] and $conf_image_loop=="true") or $conf_image_loop)?"checked":"";
	$conf_image_loop_f = (($_POST["edit-sub"] and $conf_image_loop=="false") or !$conf_image_loop)?"checked":"";
	$conf_date_top_t = (($_POST["edit-sub"] and $conf_date_top=="true") or $conf_date_top)?"checked":"";
	$conf_date_top_f = (($_POST["edit-sub"] and $conf_date_top=="false") or !$conf_date_top)?"checked":"";
	$conf_addbr_t = (($_POST["edit-sub"] and $conf_addbr=="true") or $conf_addbr)?"checked":"";
	$conf_addbr_f = (($_POST["edit-sub"] and $conf_addbr=="false") or !$conf_addbr)?"checked":"";
	$conf_spamcheck_t = (($_POST["edit-sub"] and $conf_spamcheck=="true") or $conf_spamcheck)?"checked":"";
	$conf_spamcheck_f = (($_POST["edit-sub"] and $conf_spamcheck=="false") or !$conf_spamcheck)?"checked":"";
	
	//*-------- HTML描画ここから開始。 --------*//
echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
<head profile="http://gmpg.org/xfn/11">
<meta content="text/html; charset=UTF-8" http-equiv="content-type"/>
<meta name="Robots" content="noindex,nofollow">
<meta name="GOOGLEBOT" content="NOSNIPPET">
<title>設定 - Quick Comment 管理画面</title>
<link rel="stylesheet" type="text/css" href="./css/edit-style.css"  media="screen, projection" />
<script src="./js/qc-edit.js"></script>
</head>
<body class="body">
<?php
	if(!empty($conf_init)){
		get_menu_bar("conf",$mobile,$sid); /*メニューバー描画 */
	}
?>	
<div id="wrapper">
<?php
	if(empty($conf_init)){	//初期登録
		//初回案内
		echo '<div id="comments-field" style="margin:20px 0 10px;">';
		echo '<h1>QuickCommentへようこそ</h1>';
		echo 'まずは以下の項目を設定してください。<span style="color:#F00;">パスワードは必ず変更してください。</span><br />';
		echo 'これらの項目は、後からでも管理画面で変更できます。';
		echo '</div>';
		//DB接続
		$cn = mysql_connect(  DB_HOST, DB_USERNAME , DB_PASS ) ;
		mysql_select_db( DB_NAME ) or die("接続エラー");
		// 文字コードセット
		$sql = "set names utf8;";
		mysql_query($sql,$cn); 
		qc_table_exists($cn);
	}elseif($init_fin){
		echo '<div id="comments-field" style="margin:20px 0 10px;">';
		echo '<h1>QuickCommentの初期設定が完了しました！</h1>';
		echo '<strong>マニュアル</strong>タブから設置用URLを確認してください。';
		echo 'あなたのサイトの好きなところに貼り付ければ、設置完了です。';
		echo '</div>';
		//テーブルチェック　利用するテーブルがあるかどうか確認。なければ作成される。
	}
?>	
	<h2><center>Quick Comment 設定</center></h2>
	<?php
	if($edit_res){
		echo $edit_res;
	}
	?>
	<div id="edit-field">
		<form action="./edit_config.php" method="post" name="qc_edit" id="qc_edit"> 
		
			<div class="edit-labels">管理画面のパスワード</div>
			<div class="edit-forms"><input type="password" class="input" name="qc_pass" id="qc_pass" value="<?php echo $qc_pass; ?>" /></div>
			<div class="edit-labels">あなたのサイトのURL</div>
			<div class="edit-forms"><input type="text" class="input" name="conf_home_url" id="conf_home_url" value="<?php echo $conf_home_url; ?>" /></div>
			<h3>拍手の設定</h3>
			<div class="edit-labels">一度に送れる拍手の回数</div>
			<div class="edit-forms"><input type="text" class="input" name="conf_click_limit" id="conf_click_limit" value="<?php echo $conf_click_limit; ?>" size="3" />回</div>
			<div class="edit-labels">拍手最大数に達した時、次に再開できるまでの時間（秒）</div>
			<div class="edit-forms"><input type="text" class="input" name="conf_timeout_date" id="conf_timeout_date" value="<?php echo $conf_timeout_date; ?>" size="5" />秒　<span class="sup">※空欄の場合、その日の24時まで</span></div>
			<div class="edit-labels">コメントの字数制限</div>
			<div class="edit-forms"><input type="text" class="input" name="conf_text_max" id="conf_text_max" value="<?php echo $conf_text_max; ?>" size="5" />文字</div>
			<div class="edit-labels">拍手画面の画像の表示方式</div>
			<div class="edit-forms">
				<input type="radio" class="radio" name="conf_random_image" id="conf_random_image_t" value="true" <?php echo $random_image_checked_t ?> /><label class="label" for="conf_random_image_t">ランダム</label>
				<input type="radio" class="radio" name="conf_random_image" id="conf_random_image_f" value="false" <?php echo $random_image_checked_f ?> /><label class="label" for="conf_random_image_f">ファイル名順</label>
			</div>
			<div class="edit-labels">リロードによる画像の更新の許可</div>
			<div class="edit-forms">
				<input type="radio" class="radio" name="conf_deny_overimage" id="conf_deny_overimage_t" value="true" <?php echo $conf_deny_overimage_t ?> /><label class="label" for="conf_deny_overimage_t">許可しない</label>
				<input type="radio" class="radio" name="conf_deny_overimage" id="conf_deny_overimage_f" value="false" <?php echo $conf_deny_overimage_f ?> /><label class="label" for="conf_deny_overimage_f">許可する</label>
			</div>
			<div class="edit-labels">ファイル名順表示で拍手回数が画像の数を上回った時の表示</div>
			<div class="edit-forms">
				<input type="radio" class="radio" name="conf_image_loop" id="conf_image_loop_t" value="true" <?php echo $conf_image_loop_t ?> /><label class="label" for="conf_image_loop_t">最初の画像に戻る</label>
				<input type="radio" class="radio" name="conf_image_loop" id="conf_image_loop_f" value="false" <?php echo $conf_image_loop_f ?> /><label class="label" for="conf_image_loop_f">最後の画像を表示</label>
			</div>
			<div class="edit-labels">拍手画面のデフォルトお礼メッセージ</div>
			<div class="edit-forms"><input type="text" class="input" name="conf_default_msg" id="conf_default_msg" value="<?php echo htmlspecialchars($conf_default_msg,ENT_COMPAT);; ?>" size="28" /><br /><span class="sup">※画像管理画面で、画像ごとのお礼メッセージを設定できます。</span></div>
			<div class="edit-labels">投稿本文のNGワード(改行で1語ずつ指定)</div>
			<div class="edit-forms"><textarea name="ng_post" id="ng_post" class="ng-area"><?php echo htmlspecialchars($ng_post,ENT_COMPAT); ?></textarea></div>
			<div class="edit-labels">投稿者名のNGワード(改行で1語ずつ指定)</div>
			<div class="edit-forms"><textarea name="ng_name" id="ng_name" class="ng-area"><?php echo htmlspecialchars($ng_name,ENT_COMPAT); ?></textarea></div>
			<div class="edit-labels">スパムちゃんぷるーによるスパムチェック<br />( http://spam-champuru.livedoor.com/dnsbl/ )</div>
			<div class="edit-forms">
				<input type="radio" class="radio" name="conf_spamcheck" id="conf_spamcheck_t" value="true" <?php echo $conf_spamcheck_t ?> /><label class="label" for="conf_spamcheck_t">する</label>
				<input type="radio" class="radio" name="conf_spamcheck" id="conf_spamcheck_f" value="false" <?php echo $conf_spamcheck_f ?> /><label class="label" for="conf_spamcheck_f">しない</label>
			</div>


			<h3>管理画面の設定</h3>
			<div class="edit-labels">トップページのコメント表示方式</div>
			<div class="edit-forms">
				<input type="radio" class="radio" name="conf_date_top" id="conf_date_top_t" value="true" <?php echo $conf_date_top_t ?> /><label class="label" for="conf_date_top_t">その日のコメント表示</label>
				<input type="radio" class="radio" name="conf_date_top" id="conf_date_top_f" value="false" <?php echo $conf_date_top_f ?> /><label class="label" for="conf_date_top_f">最新から指定件数表示</label>
			</div>			<div class="edit-labels">1ページに表示するコメント件数</div>
			<div class="edit-forms"><input type="text" class="input" name="conf_recent" id="conf_recent" value="<?php echo $conf_recent; ?>" size="3" maxlength="3" />件ずつ表示</div>
			<h4>コピーするときのタグ設定</h4>
			<div class="edit-labels">1件の名前・コメント・レス全体を囲むタグ</div>
			<div class="edit-forms">
			<input type="text" class="input" name="conf_tag_comment_f" id="conf_tag_comment_f" value="<?php echo htmlspecialchars($conf_tag_comment_f,ENT_COMPAT); ?>" size="12" onkeyup="prevHtml();" onclick="prevHtml();" />名前/コメント/レス
			<input type="text" class="input" name="conf_tag_comment_r" id="conf_tag_comment_r" value="<?php echo htmlspecialchars($conf_tag_comment_r,ENT_COMPAT); ?>" size="4" onkeyup="prevHtml();" onclick="prevHtml();" />
			</div>
			<div class="edit-labels">投稿者の名前を囲むタグ</div>
			<div class="edit-forms">
			<input type="text" class="input" name="conf_tag_auther_f" id="conf_tag_auther_f" value="<?php echo htmlspecialchars($conf_tag_auther_f,ENT_COMPAT); ?>" size="12" onkeyup="prevHtml();" onclick="prevHtml();" />名前
			<input type="text" class="input" name="conf_tag_auther_r" id="conf_tag_auther_r" value="<?php echo htmlspecialchars($conf_tag_auther_r,ENT_COMPAT); ?>" size="4" onkeyup="prevHtml();" onclick="prevHtml();" />
			</div>
			<div class="edit-labels">コメント本文を囲むタグ</div>
			<div class="edit-forms">
			<input type="text" class="input" name="conf_tag_text_f" id="conf_tag_text_f" value="<?php echo htmlspecialchars($conf_tag_text_f,ENT_COMPAT); ?>" size="12" onkeyup="prevHtml();" onclick="prevHtml();" />本文
			<input type="text" class="input" name="conf_tag_text_r" id="conf_tag_text_r" value="<?php echo htmlspecialchars($conf_tag_text_r,ENT_COMPAT); ?>" size="4" onkeyup="prevHtml();" onclick="prevHtml();" />
			</div>
			<div class="edit-labels">レス文を囲むタグ</div>
			<div class="edit-forms">
			<input type="text" class="input" name="conf_tag_res_f" id="conf_tag_res_f" value="<?php echo htmlspecialchars($conf_tag_res_f,ENT_COMPAT); ?>" size="12" onkeyup="prevHtml();" onclick="prevHtml();" />レス
			<input type="text" class="input" name="conf_tag_res_r" id="conf_tag_res_r" value="<?php echo htmlspecialchars($conf_tag_res_r,ENT_COMPAT); ?>" size="4" onkeyup="prevHtml();" onclick="prevHtml();" />
			</div>
			<div class="edit-labels">改行タグ（&lt;br /&gt;）の出力</div>
			<div class="edit-forms">
				<input type="radio" class="radio" name="conf_addbr" id="conf_addbr_t" value="true" <?php echo $conf_addbr_t ?> /><label class="label" for="conf_addbr_t">出力する</label>
				<input type="radio" class="radio" name="conf_addbr" id="conf_addbr_f" value="false" <?php echo $conf_addbr_f ?> /><label class="label" for="conf_addbr_f">出力しない</label>
			</div>
			<div class="prev-title">▼HTML貼付けプレビュー</div>
			<div id="preview-area">
				<?php echo $conf_tag_comment_f; ?>
				<?php echo $conf_tag_auther_f; ?>
					投稿者名のスタイルです。
				<?php echo $conf_tag_auther_r; ?><br />
				<?php echo $conf_tag_text_f; ?>
				コメント本文のスタイルです。コメント本文のスタイルです。コメント本文のスタイルです。
				<?php echo $conf_tag_text_f; ?><br />
				<?php echo $conf_tag_res_f; ?>
				レス本文のスタイルです。レス本文のスタイルです。レス本文のスタイルです。
				<?php echo $conf_tag_res_f; ?>
				<?php echo $conf_tag_comment_r; ?>
			</div>
			<div style="text-align:right;">
				<input type="submit" value="設定" name="edit-sub" class="submit edit-sub" id="edit-sub" />
			</div>
		</form>
	</div>
	<hr size="1" noshade class="comment-line" color="#E0E0E0" />
</div><!-- wrapper end -->
<?php 
	if(!empty($conf_init)){ 
		logout_btn();
	}
	echo COPY_LIGHT;
?>
</body>
</html>