<?php
	session_start();
	include_once("../conf/const.php");
	define("SID_DIR","../data/");
	$sid = session_id();
	if( $sid != $_POST["sid"]){
		echo "セッションエラー";
		exit;
	}
	
	//フォームテンプレート読み込み
	$form_tpl = @file_get_contents("../tpl/".$tpl_form_filename) or die("フォームテンプレートがありません。");
	$form_tpl = preg_replace("/<!--%%filename%%-->/",("#"),$form_tpl);
	$form_tpl = preg_replace("/<!--%%pc_name%%-->/",$_POST["qc_name"],$form_tpl);
	$form_tpl = preg_replace("/<!--%%textarea_info%%-->/",$textarea_info,$form_tpl);
	$form_tpl = preg_replace("/<!--%%qc_default_msg%%-->/",$qc_default_msg,$form_tpl);
	$form_tpl = preg_replace("/<!--%%text-max%%-->/",$text_max,$form_tpl);
	$form_tpl = preg_replace("/<!--%%count%%-->/",$count,$form_tpl);
	$form_tpl = preg_replace("/<!--%%count-limit%%-->/",($click_limit - $_SESSION["count"]),$form_tpl);
	
	$comment_form .= $form_tpl;
	
	//画像呼び出し
	$result_image = "";
	
	//imageディレクトリから画像ファイルを検索する
	$imgdir = opendir( ".".IMAGE_DIR );
	$images = array();
	$i = 0;
	//ディレクトリ内のファイル名を取得する
	while( $file_name = readdir( $imgdir ) ){
		if(preg_match("/.jpg$|.png$|.gif$|.bmp$|.swf$/i",$file_name)){
			$images[$i] = $file_name;
			$i++;
		}
	}
	//ディレクトリをクローズする
	closedir( $imgdir );
	
	//ランダム表示の時
	if($_SESSION["count"]>$click_limit and $conf_deny_overimage){
		$file = $images[$_SESSION["rn"]];
	}else{
		$rn = rand(0,count($images)-1);
		$file = $images[$rn];
		$_SESSION["rn"] = $rn;
	}

	//ファイルパス
	$filepass = ".".IMAGE_DIR.$file;
	
	//SWFと画像で分岐
	if(!preg_match("/.swf$/i",$file)){
		//サイズ取得
		list($width, $height, $type, $attr) = getimagesize($filepass);
		//alt取得
		$alttext = @file_get_contents("../data/alt/".$file.".txt");
		//無ければデフォルト
		$alt = ($alttext)?htmlspecialchars($alttext, ENT_QUOTES, "UTF-8"):"お礼画像";
		$result_image = '<img src="'.$filepass.'" '.$attr.' alt="'.$alt.'" title="'.$alt.'" />';
	
	}else{
		//SWFサイズ指定ファイルを読み込む
		$swf_size = @file("../data/swfconf/".$file.".ini",FILE_IGNORE_NEW_LINES|FILE_SKIP_EMPTY_LINES);
		$swf_width = ($swf_size[0])?trim($swf_size[0]):512;		//なければデフォルト設定
		$swf_height = ($swf_size[1])?trim($swf_size[1]):384;
		//SWF用タグ
		$result_image = '<object width="'.$swf_width.'" height="'.$swf_height.'" data="'.$filepass.'" type="application/x-shockwave-flash">flash';
		$result_image .= '<param name="movie" value="'.$filepass.'" />';
		$result_image .= '</object>';
	}
	
	
	//テキスト呼び出し
	$msgtext = @file_get_contents("../data/msg/".$file.".txt");
	$msgtext = htmlspecialchars($msgtext, ENT_QUOTES, "UTF-8");
	if(!empty($msgtext)){
		$msgtext = mb_convert_encoding($msgtext, "UTF-8", "auto");		//文字コード変換
	}else{
		$msgtext = $conf_default_msg;
	}
	//テンプレートファイル読み込み
	//$tpl = @file_get_contents(".".TPL_DIR.$tpl_filename) or die("テンプレートがありません。");
	$tpl = htmlspecialchars_decode(stripslashes($_POST["tpl_prev"]),ENT_QUOTES, "UTF-8");
	
	//メッセージ出力
	$tpl = preg_replace("/<!--%%result-msg%%-->/",$msgtext,$tpl);
	//結果画像出力
	$tpl = preg_replace("/<!--%%result-image%%-->/",$result_image,$tpl);
	//コメントフォーム出力
	$tpl = preg_replace("/<!--%%comment-form%%-->/",$comment_form,$tpl);
	//javascriptの値調整
	$tpl = preg_replace("/<!--%%text-max%%-->/",$text_max,$tpl);
	//CSSパス調整
	$tpl = preg_replace('(href="./css/)','href="../css/',$tpl);
	//submit無効化
	$tpl .= '<script type="text/javascript">
		var sub = document.getElementsByName("submit");
		for(i=0;i<sub.length;i++){
			sub[i].disabled  = true;
		}</script>';
	
	echo $tpl;
	
	
?>