<?php
/* UTF-8
スパムちゃんぷるーDNSBL
(http://spam-champuru.livedoor.com/dnsbl/)
を使ったSPAM-IPチェック関数

PHP4以降で利用可能

2008/10/29 アクアガーデンソフト有限会社


使い方
$ret = CheckSpamIP($check_ip);

$check_ip にチェックしたいIPアドレス
$ret に結果が戻ります。
  TRUEの場合：SPAM発信の事業者IP の可能性がある
  FALSEの場合：SPAM発信の事業者IP でない

ex.
$brtn = CheckSpamIP("192.0.2.1");
if ($brtn)
	print "SPAM-IP!";
else
	print "IP OK!";
*/


function CheckSpamIP($check_ip)
{
	if (strlen($check_ip) == 0)
		return TRUE;

	$ips = split("[.]", $check_ip);
	$cnt = count($ips);

	if ($cnt < 4)
		return TRUE;

	$host = "";
	for ($ni = $cnt;$ni > 0;$ni--)
		$host .= $ips[$ni-1].".";

	$host .= "dnsbl.spam-champuru.livedoor.com";
	return checkdnsrr($host, "A");
}
?>
