<?php
	session_start();
	include_once("conf/const.php");
	include_once("lib/spam_champuru.php");
	define("QC_FILENAME","qc.php");

	$ip_address = addslashes($_SERVER["REMOTE_ADDR"]);

	//userid取得
	include("lib/qc_cookie.php");
	
	
	//*-------- 拍手の回数管理処理ここから --------*//
	//回数管理
	$count = 1;
	//sessionでカウント
	if(isset($_SESSION["count"])){
		$_SESSION["count"]++;
	}elseif($_COOKIE["qc_timeout"]){					//COOKIEに数字があれば入れる
		$_SESSION["count"] = $_COOKIE["qc_timeout"];
	}else{
		//上記条件のどれでもなければ、初回アクセスとする
		$_SESSION["count"] = 1;
	}
	
	//COOKIE調整
	//時間の期限設定
	if(!empty($timeout_date) and is_numeric($timeout_date)){
		$timeout_date = time() + $timeout_date;
	}else{
		$timeout_date = time() + ((24*60*60) - (time()+9*3600) % (24*60*60));	//今日の残り秒数
	}
	//セッションリミットと回数をCOOKIEに記録
	setcookie("qc_timeout",$_SESSION["count"],$timeout_date);
	
	if((isset($_SESSION["timeout"]) and $_SESSION["timeout"]<time()) or empty($_COOKIE["qc_timeout"])){
		$_SESSION["count"] = 1;
		$_SESSION["timeout"] = null;
	}
	//POSTでチェック
	if(!empty($_POST['count'])) {
		$count = addslashes($_POST['count'])+1;
		$countup = true;
	}else{
		//$_SESSION["count"] = 1;
	}
	//リロードチェック
	if($_SESSION["count"] > $count and (!$countup or $_SESSION["count"]>$click_limit)){
		$deny_count = true;
	}
	
	//規定回数を超えたら終わり
	if ($_SESSION["count"]>=$click_limit or $count>=$click_limit){
		if(!isset($_SESSION["timeout"])){
			$_SESSION["timeout"] = $timeout_date;
		}
		$disable = true;
	}
	
	//初回アクセスかどうかをここで判定 セッションのカウンタが1でPOSTがないとき
	if($_SESSION["count"]==1 and empty($_POST['count'])){
		$visit = true;
	}
	
	//*-------- 拍手の回数管理処理ここまで --------*//
	
	//設置場所GETパラメータがあるかどうか
	if($_GET["pos"]){
		$pos = htmlspecialchars(addslashes($_GET["pos"]), ENT_QUOTES, "UTF-8");
		$pos_par = "?pos=".$pos;
	}else{
		$pos = 0;
	}
	
	
	//DB接続
	$cn = mysql_connect(  DB_HOST, DB_USERNAME , DB_PASS ) ;
	mysql_select_db( DB_NAME ) or die("接続エラー");
	// 文字コードセット
	$sql = "set names utf8;";
	mysql_query($sql,$cn); 
	//テーブルチェック　利用するテーブルがあるかどうか確認。なければ作成される。
	qc_table_exists($cn);
	
	//*-------- 拍手の回数を追加する処理ここから --------*//
	//クリックカウント追加
	$today = date("Y-m-d");
	$now_hour = date("G");
	$sql = "select * from `".DB_NAME."`.`".QC_CLICK_COUNT."` where date = '".$today."'";
	$ret = mysql_query($sql,$cn);
	$hour_count = mysql_fetch_assoc($ret);
	//データチェック　本日初回のアクセスなら本日分の行作成
	if(empty($hour_count)){
		//クリックカウント作成
		$sql = "insert into `".DB_NAME."`.`".QC_CLICK_COUNT."` (date) values('".$today."')";
		$ret = mysql_query($sql,$cn) or die("クリックカウント作成error");
		//ユーザーカウント作成
		$sql = "insert into `".DB_NAME."`.`".QC_USER_COUNT."` (date) values('".$today."')";
		$ret = mysql_query($sql,$cn) or die("ユーザーカウント作成error");
	}
	
	//リロードによるアクセスでなければカウントアップ
	if(!$deny_count){
		//クリックカウント追加
		$sql = "update `".DB_NAME."`.`".QC_CLICK_COUNT."` set `".$now_hour."`='".($hour_count[$now_hour]+1)."' where `date` = '".$today."'";
		mysql_query($sql,$cn) or die("クリックカウント追加error<br />".$sql);
		//初回アクセスならユーザーカウント追加
		if($visit){
			$sql = "select * from `".DB_NAME."`.`".QC_USER_COUNT."` where date = '".$today."'";
			$ret = mysql_query($sql,$cn);
			$hour_user = mysql_fetch_assoc($ret);
			$sql = "update `".DB_NAME."`.`".QC_USER_COUNT."` set `".$now_hour."`='".($hour_user[$now_hour]+1)."' where `date` = '".$today."'";
			mysql_query($sql,$cn) or die("ユーザー追加error<br />".$sql);
		}
	}
	//*-------- 拍手の回数を追加する処理ここまで --------*//
	
	//*-------- 投稿されたコメントをDBに追加する処理ここから --------*//
	$comment_form = "";
	$posted_msg = "";
	if (!empty($_POST["quick_comment"]) and $_POST["quick_comment"] != $qc_default_msg and !$demo_mode){
		//スパムチェック
		if ($conf_spamcheck and CheckSpamIP($ip_address)){
			echo '<div class="commented" style="color:#ff0000; font-weight:bold;">投稿に失敗しました。</div>';
			exit("");
		}
		//コメントについて
		//$posted = htmlspecialchars(addslashes($_POST["quick_comment"]), ENT_QUOTES);	//サニタイズなど
		$posted = sa($_POST["quick_comment"]);
		$posted = mb_convert_encoding($posted, "UTF-8", "auto");		//文字コード変換
		$posted = ereg_replace("(\r|\n|\r\n)+", "\n", $posted);			//空行削除
		//名前
		//$name = htmlspecialchars(addslashes($_POST["qc_name"]), ENT_QUOTES);	//サニタイズなど
		$name = sa($_POST["qc_name"]);
		$name = mb_convert_encoding($name, "UTF-8", "auto");
		$name = ereg_replace("(\r|\n|\r\n)", "", $name);	//改行削除
		
		//二重投稿禁止
		if($_SESSION["no_double"] != $name.$posted.$ip) {
			//NGチェック
			if(!ng_check($_POST["qc_name"],"name") and !ng_check($_POST["quick_comment"],"post") and !ng_check($ip,"ip") and !ng_check($userid,"id")){
				//コメントをDBに追加
				$sql = "insert into `".DB_NAME."`.`".QC_POST."` (user_id, name, comment, ip, pos_id) values('".$userid."','".$name."','".$posted."','".$ip_address."','".$pos."')";
				//echo $sql;
				$ret = mysql_query($sql,$cn);
				if(!$ret){ echo "SQL失敗"; exit(); }
			}else{
				
			}
			$_SESSION["no_double"] = $name.$posted.$ip;
		}else{
			
		}
		//出力メッセージ。
		$posted_msg .= '<div class="commented">';
		$posted_msg .= '<span class="alert">以下のメッセージが投稿されました。</span><br>';
		if(!empty($name)) {
			$posted_msg .= "<strong>".stripslashes(stripslashes($name))."</strong><br />";
		}
		$posted_msg .= nl2br(stripslashes(stripslashes($posted)));
		$posted_msg .= '</div>';
	}elseif($demo_mode){
		$posted_msg .= '<div class="commented">デモモード中により、コメント投稿はできません。</div>';
	}
	//DBクローズ
	mysql_close($cn);
	//*-------- 投稿されたコメントをDBに追加する処理ここまで --------*//
	
	//*-------- 投稿フォームを表示する処理ここから --------*//
	if(!$disable){
		//テンプレートファイル読み込み
		$form_tpl = @file_get_contents(TPL_DIR.$tpl_form_filename) or die("フォームテンプレートがありません。");
		$form_tpl = preg_replace("/<!--%%filename%%-->/",("./".QC_FILENAME.$pos_par),$form_tpl);
		$form_tpl = preg_replace("/<!--%%pc_name%%-->/",stripslashes(htmlspecialchars($_POST["qc_name"])),$form_tpl);
		$form_tpl = preg_replace("/<!--%%textarea_info%%-->/",$textarea_info,$form_tpl);
		$form_tpl = preg_replace("/<!--%%qc_default_msg%%-->/",$qc_default_msg,$form_tpl);
		$form_tpl = preg_replace("/<!--%%text-max%%-->/",$text_max,$form_tpl);
		$form_tpl = preg_replace("/<!--%%count%%-->/",$count,$form_tpl);
		$form_tpl = preg_replace("/<!--%%count-limit%%-->/",($click_limit - $_SESSION["count"]),$form_tpl);
		$form_tpl = preg_replace("/<!--%%posted_msg%%-->/",$posted_msg,$form_tpl);
		
		$comment_form .= $form_tpl;
	}else{
		$comment_form .= 'たくさんの拍手ありがとうございました。<br />';
		//$comment_form .= 'コメントの再開は'.date("Y/m/d H:i:s",$_SESSION["timeout"]).'です。';
	}
	
	//画像呼び出し
	$result_image = "";
	include("./lib/image.php");
	
	//テキスト呼び出し
	$msgtext = @file_get_contents("./data/msg/".$file.".txt");
	$msgtext = htmlspecialchars($msgtext, ENT_QUOTES);
	if(!empty($msgtext)){
		$msgtext = mb_convert_encoding($msgtext, "UTF-8", "auto");		//文字コード変換
	}else{
		$msgtext = $conf_default_msg;
	}
	//テンプレートファイル読み込み
	$tpl = @file_get_contents(TPL_DIR.$tpl_filename) or die("テンプレートがありません。");
	//メッセージ出力
	$tpl = preg_replace("/<!--%%result-msg%%-->/",$msgtext,$tpl);
	//結果画像出力
	$tpl = preg_replace("/<!--%%result-image%%-->/",$result_image,$tpl);
	//コメントフォーム出力
	$tpl = preg_replace("/<!--%%comment-form%%-->/",$comment_form,$tpl);
	//javascriptの値調整
	$tpl = preg_replace("/<!--%%text-max%%-->/",$text_max,$tpl);
	echo $tpl;
	exit();
?>