<?php
	session_start();
	include_once("../conf/const.php");
	define("MANAGE_IMAGE","manage_images.php");
	define("A_IMAGE_DIR","../image/");
	define("SID_DIR","../data/sid/");
	//PC携帯判定
	$ua = $_SERVER['HTTP_USER_AGENT'];
	$mobile = mobile_check($ua);
	
	//セッションID
	if($mobile){
		$sid = (!empty($_GET["sid"]))?$_GET["sid"]:"nosid";
	}else{
		$sid = session_id();
	}
	//パスワードの確認
	if(!empty($qc_pass)){
		if(file_exists(SID_DIR.$sid)==false) {
			//loginページへリダイレクト
			header("HTTP/1.1 302 Moved Temporarily");
			header("Location: ../".LOGIN_PAGE);
			exit;
		}
	}
	//このディレクトリのURL
	$site_url = rtrim($home_url, "/").preg_replace("(".MANAGE_IMAGE.".*)","",$_SERVER['REQUEST_URI']);
	if(!url_check($site_url)){		//設定値がURLっぽくないとき
		$site_url_error = true;
	}else{
		$qc_url = preg_replace("(admin/)","",$site_url);		//QCディレクトリのURL
	}
	
	
	//画像の新規追加
	if(!$demo_mode){
		if(is_uploaded_file($_FILES["image"]["tmp_name"])){
			if(preg_match("/\.jpg$|\.png$|\.gif$|\.bmp$|\.swf$/i",$_FILES["image"]["name"])){
				if(!file_exists(A_IMAGE_DIR.$_FILES["image"]["name"])){
					//ファイルが投稿されてたらファイルの保存
					if (move_uploaded_file($_FILES["image"]["tmp_name"], A_IMAGE_DIR.$_FILES["image"]["name"])) {
						//chmod(A_IMAGE_DIR. $_FILES["upfile"]["name"], 0644);
						$img_up_res = '<div id="result">'.$_FILES["image"]["name"]."をアップロードしました。</div>";
					} else {
						$img_up_error = '<div id="alert">ファイルをアップロードできません。</div>';
					}
				}else{
					$img_up_error = '<div id="alert">同じファイル名の画像があります。アップロードし直す場合は同名ファイルを一旦削除してください。</div>';
				}
			}else{
				$img_up_error = '<div id="alert">jpg・png・gif・bmp・swf 以外はアップロードできません。</div>';
			}
		} elseif($_POST["image_post"]) {
			$img_up_error = '<div id="alert">ファイルが選択されていません。</div>';
		}
	}else{
		$img_up_error = '<div id="result">デモモード中ですので、画像の投稿・設定変更は反映されません。</div>';
	}
	//ALT文、メッセージなどの編集
	if(!empty($_POST["edit-info"])){
		foreach($_POST as $key=>$v){
			if(!empty($v)){
				if(preg_match("/^alt-|^msg-/",$key)){
					$dn = preg_split("/-/",$key);
					$dn[1] = preg_replace("/_jpg/",".jpg",$dn[1]);
					$dn[1] = preg_replace("/_png/",".png",$dn[1]);
					$dn[1] = preg_replace("/_gif/",".gif",$dn[1]);
					$dn[1] = preg_replace("/_bmp/",".bmp",$dn[1]);
					$dn[1] = preg_replace("/_swf/",".swf",$dn[1]);
					$nfilename = "../data/".$dn[0]."/".$dn[1].".txt";
					$fp = fopen($nfilename,"w");
					$v = mb_convert_encoding($v, "UTF-8", "auto");		//文字コード変換
					fwrite($fp,$v);
					fclose($fp);
				}elseif(preg_match("/^swf-w-/",$key)){
					$dn = preg_split("/-/",$key);
					if(!empty($_POST["swf-h-".$dn[2]])){
						$swfw = $v;
						$swfh = $_POST["swf-h-".$dn[2]];
						if(is_numeric($swfw) and is_numeric($swfh)){
							$dn[2] = preg_replace("/_swf/",".swf",$dn[2]);
							$nfilename = "../data/swfconf/".$dn[2].".ini";
							$fp = fopen($nfilename,"wt");
							fwrite($fp,$swfw."\n".$swfh);
							fclose($fp);
						}
					}
				}
			}
		}
	}
	
	$thumb_size = 160;
	
	//*-------- HTML描画ここから開始。 --------*//
echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
<head profile="http://gmpg.org/xfn/11">
<meta content="text/html; charset=UTF-8" http-equiv="content-type"/>
<meta name="Robots" content="noindex,nofollow">
<meta name="GOOGLEBOT" content="NOSNIPPET">
<title>画像管理 - Quick Comment 管理画面</title>
<link rel="stylesheet" type="text/css" href="./css/edit-style.css"  media="screen, projection" />
</head>
<body class="body">
<?php
	if(!empty($conf_init)){
		get_menu_bar("img",$mobile,$sid); /*メニューバー描画 */
	}
?>	
<div id="wrapper">
	<h2><center>画像の管理</center></h2>
	<?php
		if($img_up_res or $img_up_error){
			echo $img_up_error.$img_up_res;
		}
	?>
	<div id="edit-field">
		<h3>画像の新規投稿</h3>
		<form action="<?php echo MANAGE_IMAGE; ?>" method="post" name="image_post" id="image_post" enctype="multipart/form-data"> 
		画像のアップロード (jpg・png・gif・bmp・swf)：
		<input type="file" name="image" value="" size="50" style="width:300px;" /><br />
			<div style="text-align:right;">
				<input type="submit" value="送信" name="up-image" class="submit edit-sub" id="up-image" />
			</div>
		</form>
		<h3>投稿済みの画像の管理</h3>
		<h4 style="border:0;">拍手を送信すると、以下の画像が<span style="color:#C00;"><?php echo ($conf_random_image)?"ランダム":"ファイル名順"; ?></span>に表示されます。</h4>
		<p style="margin:0 0 20px 25px;">※画像のalt、メッセージを編集したら、ページ下部の<span style="color:#E00;">「更新」</span>ボタンを押して変更内容を保存してください。</p>
		<form action="<?php echo MANAGE_IMAGE; ?>" method="post" name="alt_post" id="alt_post"> 
			<?php
				//フォルダないの画像
				//imageディレクトリから画像ファイルを検索する
				$imgdir = opendir( A_IMAGE_DIR );
				$images = array();
				$sorted = array();
				$i = 0;
				$j = 0;
				//ディレクトリ内のファイル名を取得、ソート
				while( $file_name = readdir( $imgdir ) ){
					$sorted[$j] = $file_name;
					
					$j++;
				}
				sort($sorted);	//ソート
				foreach($sorted as $file_name){
					if(preg_match("/.jpg$|.png$|.gif$|.bmp$/i",$file_name)){
						$images[$i] = A_IMAGE_DIR.$file_name;
						list($width, $height, $type, $attr) = getimagesize($images[$i]);
						if($width > $thumb_size){
							$height = ($height/$width) * ($thumb_size);
							$width = $thumb_size;
						}
						echo '<div class="images" id="image'.$i.'">';
						echo '<img src="'.$images[$i].'" class="thumbnail" width="'.$width.'" height="'.$height.'" />';
						echo '<div class="image-label">';
							echo '<div class="image-filename">'.$file_name;
							echo '<button type="button" class="del-img" onclick="delImage(\'image'.$i.'\',\''.$file_name.'\');">×</button>';
							echo "</div>";
							//画像alt
							$alttext = @file_get_contents("../data/alt/".$file_name.".txt");
							$alttext = htmlspecialchars(stripslashes($alttext), ENT_QUOTES);
							$thisid ="alt-".$file_name;
							echo '<div>画像alt<br /><input type="text" value="'.$alttext.'" name="'.$thisid.'" id="'.$thisid.'" size="36" class="input" />';
							echo '<button type="button" class="del" onclick="delText(\''.$thisid.'\',\'alt/'.$file_name.'.txt\');">×</button></div>';
							//個別メッセージ
							$msg = @file_get_contents("../data/msg/".$file_name.".txt");
							$msg = htmlspecialchars($msg, ENT_QUOTES);
							$thisid ="msg-".$file_name;
							$msg = mb_convert_encoding(stripslashes($msg), "UTF-8", "auto");		//文字コード変換
							echo '<div class="img-msg">この画像が表示されたときのメッセージ<br />';
							echo '<input type="text" value="'.$msg.'" name="'.$thisid.'" id="'.$thisid.'" size="36" class="input" />';
							echo '<button type="button" class="del" onclick="delText(\''.$thisid.'\',\'msg/'.$file_name.'.txt\');">×</button>';
							echo '</div>';
						echo '</div>';
						echo '</div>';
						$i++;
					}elseif(preg_match("/.swf$/i",$file_name)){
						$images[$i] = A_IMAGE_DIR.$file_name;
						echo '<div class="images">';
						echo  '<object width="'.$thumb_size.'" height="'.$thumb_size.'" data="'.$images[$i].'" type="application/x-shockwave-flash" class="thumbnail">flash';
						echo  '<param name="movie" value="'.$images[$i].'" />';
						echo  '</object>';
						echo '<div class="image-label">';
							echo '<div class="image-filename">'.$file_name;
							echo '<button type="button" class="del-img" onclick="delImage(\'image'.$i.'\',\''.$file_name.'\');">×</button>';
							echo "</div>";
							$swfsize = @file("../data/swfconf/".$file_name.".ini");
							echo 'width：<input type="text" value="'.$swfsize[0].'" name="swf-w-'.$file_name.'" size="5" class="input" /> px<br />';
							echo 'height：<input type="text" value="'.$swfsize[1].'" name="swf-h-'.$file_name.'" size="5" class="input" /> px';
							//個別メッセージ
							$msg = @file_get_contents("../data/msg/".$file_name.".txt");
							$msg = htmlspecialchars(stripslashes($msg), ENT_QUOTES);
							$thisid ="msg-".$file_name;
							$msg = mb_convert_encoding($msg, "UTF-8", "auto");		//文字コード変換
							echo '<div class="img-msg">この画像が表示されたときのメッセージ<br />';
							echo '<input type="text" value="'.$msg.'" name="'.$thisid.'" id="'.$thisid.'" size="36" class="input" />';
							echo '<button type="button" class="del" onclick="delText(\''.$thisid.'\',\'msg/'.$file_name.'.txt\');">×</button>';
							echo '</div>';
						echo '</div>';
						echo '</div>';
						$i++;
					}
				}
			
			?>
			<div style="text-align:right;clear:left;margin-top:30px;">
				<input type="submit" value="更新" name="edit-info" class="submit edit-sub" id="edit-info" />
			</div>
		</form>
	</div>
	<hr size="1" noshade class="comment-line" color="#E0E0E0" />
</div><!-- wrapper end -->
<?php 
	if(!empty($conf_init)){ 
		logout_btn();
	}
	echo COPY_LIGHT;
?>
</body>
<script src="./js/qc-edit.js"></script>
<script type="text/javascript">
<!--
	var qc_url = "<?php echo (!$demo_mode)?$qc_url:""; ?>";
	var sid = "<?php echo (!$demo_mode)?$sid:""; ?>";
-->
</script>
</html>