<?php
	session_start();
	include_once("../conf/const.php");
	define("MANUAL_PAGE","manual.php");
	define("SID_DIR","../data/sid/");
	//PC携帯判定
	$ua = $_SERVER['HTTP_USER_AGENT'];
	$mobile = mobile_check($ua);
	
	//セッションID
	if($mobile){
		$sid = (!empty($_GET["sid"]))?$_GET["sid"]:"nosid";
	}else{
		$sid = session_id();
	}
	//パスワードの確認
	if(!empty($qc_pass)){
		if(file_exists(SID_DIR.$sid)==false) {
			//loginページへリダイレクト
			header("HTTP/1.1 302 Moved Temporarily");
			header("Location: ../".LOGIN_PAGE);
			exit;
		}
	}
	//デモモード注意
	if($demo_mode){
		$demo_text = '<div style="color:#F00;">※デモモード中はこの機能は使用できません。</div>';
	}
	//このディレクトリのURL
	$site_url = rtrim($home_url, "/").preg_replace("(".MANUAL_PAGE.".*)","",$_SERVER['REQUEST_URI']);
	if(!url_check($site_url)){		//設定値がURLっぽくないとき
		$site_url_error = true;
	}else{
		$qc_url = preg_replace("(admin/)","",$site_url);		//QCディレクトリのURL
	}
	
	//テキストリンク例
	$textlink = '<a href="'.$qc_url.'qc.php" target="_blank">Web拍手</a>';
	$imglink = '<a href="'.$qc_url.'qc.php" target="_blank"><img src="'.$qc_url.'image/icon/clap.gif" alt="Web拍手" border="0" /></a>';
	$imglink_l = '<a href="'.$qc_url.'qc.php" target="_blank"><img src="';
	$imglink_r = '" alt="Web拍手" border="0" /></a>';
	$imgpass = $qc_url.'image/icon/clap.gif';
	//*-------- HTML描画ここから開始。 --------*//
echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
<head profile="http://gmpg.org/xfn/11">
<meta content="text/html; charset=UTF-8" http-equiv="content-type"/>
<meta name="Robots" content="noindex,nofollow">
<meta name="GOOGLEBOT" content="NOSNIPPET">
<title>マニュアル - Quick Comment 管理画面</title>
<link rel="stylesheet" type="text/css" href="./css/qcad-style.css"  media="screen, projection" />
<link rel="stylesheet" type="text/css" href="./css/edit-style.css"  media="screen, projection" />
</head>
<body class="body">
<?php
	if(!empty($conf_init)){
		get_menu_bar("manual",$mobile,$sid); /*メニューバー描画 */
	}
?>	
<div id="wrapper">
	<h2><center>サイト貼付用タグ</center></h2>
	<div id="edit-field">
		<h3>以下のURLにサイトからリンクを貼ってください。</h3>
		QCリンクURL：<input type="text" size="36" value="<?php echo $qc_url; ?>qc.php" class="clap-url" onclick="this.select();" /><br />
		<h4>リンクタグを含めたコードはこちら</h4>
		<div>
			テキストリンクのタグ：<span class="sup">テキストでリンクを貼る場合はこちらをコピー＆ペーストしてください。</span>
			<input type="text" size="50" id="textlink-input" value="<?php echo htmlspecialchars($textlink, ENT_QUOTES); ?>" class="clap-url" onclick="this.select();" />
		</div>
		<div class="texttag-prev">
			表示例：<span id="prev_tag"><?php echo $textlink ?></span>
		</div>
		<div>
			画像リンクのタグ：<span class="sup">画像でリンクを貼る場合はこちらをコピー＆ペーストしてください。</span>
			<input type="text" size="50" id="imglink-input" value="<?php echo htmlspecialchars($imglink, ENT_QUOTES); ?>" class="clap-url" onclick="this.select();" />
		</div>
		<div style="margin-top:5px;">
			画像URLを指定：<span class="sup">画像のURLを入力して「生成」ボタンを押すと、入力された画像でリンクのタグを生成します。</span>
			<input type="text" size="30" value="" class="clap-url" id="img-url" />
			<button type="button" name="put-img" class="init" id="put-img" onclick="putImgUrl(document.getElementById('img-url').value)">生成</button>
		</div>
		<div class="imgtag-prev">
			表示例：<span id="prev_img"><?php echo $imglink ?></span>
		</div>
		<h4>設置IDについて</h4>
		拍手後のコメント投稿が、どのリンクを押して投稿されたかを区別するためのIDを設定できます。<br />
		QCリンクのURL末尾に「<span style="color:#080;">?pos=[任意の半角英数文字列10字]</span>」を付与することで、コメントと一緒に設置IDが記録されます。<br />
		設置IDが記録されているコメントは、名前の横に「<span class="c-pos">(from：<a href="#">****</a>)</span>」が付いています。<br />
		リンクを辿ると、その設置IDから投稿されたコメントを一覧できます。<br />
		<div style="margin:15px 0;">設置ID付きQCリンクURL例：<input type="text" size="36" value="<?php echo $qc_url; ?>qc.php?pos=test" class="clap-url" /></div>
		このQCリンクから投稿されたコメントは、設置ID「test」が付くようになります。<br />
		設置IDは自由に設定できるので、自分の管理しやすいように設定してください。<br />
		例えば、ブログの記事IDなどが挿入されるように設定すると、どの記事を見ての投稿かがわかるようになります。<br />
		※設定可能な設置IDは<strong style="color:#F00;">半角英数字で10文字まで</strong>です。記号などを含むと正常に動作しない恐れがあります。<br />
	</div>
	<h2><center>管理画面について</center></h2>
	<div id="edit-field">
		<h3>各種ボタンの機能解説</h3>
		<ul class="manual-ul">
			<li><span class="manual-list"><span class="btn copy-btn copy-btn-off">copy</span><strong>コピーボタン</strong></span>
				<div class="manual-text">コメント1件をコピーフォーマットに変換して選択します。レスがあればレスを含みます。<br />IEの場合はクリップボードにコピーされます。</div>
			</li>
			<li><span class="manual-list"><span class="btn res-btn-0 res-btn-off-0">res</span><span class="btn res-btn-1 res-btn-off-1">res</span><strong>レスボタン</strong></span>
				<div class="manual-text">コメントに対するレスを入力するフォームを表示します。<br/>コメント1件に対してレスをつけて保存することができます。<br />コメント済みだと、ボタンの色がピンクになります。<br />レスを削除したい時は、レスフォームを空欄にして <span class="btn res-btn-1 res-btn-off-1">レス更新</span>を押してください。<?php echo $demo_text; ?></div>
			</li>
			<li><span class="manual-list"><span class="btn fav-btn fav-btn-0">fav</span><span class="btn fav-btn fav-btn-1">fav</span><strong>お気に入りボタン</strong></span>
				<div class="manual-text">そのコメントをお気に入り登録します。<br />登録されたコメントは、「<span class="title-fav">お気に入り</span>コメント」タブから一覧できます。<br />もう一度ボタンを押すとお気に入りが解除されます。<?php echo $demo_text; ?></div>
			</li>
			<li><span class="manual-list"><span class="del-btn" style="position:static;display:inline-block;margin-right:15px;opacity:1.0;filter:alpha(opacity=100);">x</span><strong>削除ボタン</strong></span>
				<div class="manual-text">そのコメントを削除します。レスを付けている場合は、レスも削除されます。<br /><span style="color:#F00;">一度削除されたコメントは、復元することができません。</span><?php echo $demo_text; ?></div>
			</li>
			<li><span class="manual-list"><span class="fusen-btn" style="position:static;display:inline-block;margin-right:15px;opacity:1.0;filter:alpha(opacity=100);">c</span><strong>クリップボタン</strong></span>
				<div class="manual-text">そのコメントにマークを付けます。マークが付くと、本文の背景が薄緑色になります。<br />ただの目印用なので、「ここまで掲載した」などの印に使えます。<?php echo $demo_text; ?></div>
			</li>
			<li><span class="manual-list"><select><option>レスごとまとめてコピーする</option><option>すべて削除する</option><option>IPでNGリストに追加する</option><option>IDでNGリストに追加する</option></select></span>
				<div class="manual-text">チェックを付けたコメントをまとめてコピーフォーマットに変換して選択します。<br />最下部にウィンドウが表示されます。IEの場合はクリップボードにコピーされます。</div>
			</li>
			<li><span class="manual-list"><select><option>レスごとまとめてコピーする</option><option selected>すべて削除する</option><option>IPでNGリストに追加する</option><option>IDでNGリストに追加する</option></select></span>
				<div class="manual-text">チェックを付けたコメントをまとめて削除します。<?php echo $demo_text; ?></div>
			</li>
			<li><span class="manual-list"><select><option>レスごとまとめてコピーする</option><option>すべて削除する</option><option selected>IPでNGリストに追加する</option><option>IDでNGリストに追加する</option></select></span>
				<div class="manual-text">チェックを付けたコメントの投稿者の<strong>IP</strong>を、NGリストに追加します。<br />以後、このIPからの投稿は受け付けません。<br />※ネットワーク環境によりIPが変化した場合、投稿は受け付ます。<br />※IPが共有されている場合、別のユーザーの投稿も受け付けなくなります。<?php echo $demo_text; ?></div>
			</li>
			<li><span class="manual-list"><select><option>レスごとまとめてコピーする</option><option>すべて削除する</option><option>IPでNGリストに追加する</option><option selected>IDでNGリストに追加する</option></select></span>
				<div class="manual-text">チェックを付けたコメントの投稿者の<strong>ユーザーID</strong>を、NGリストに追加します。<br />以後、このIDからの投稿は受け付けません。<br />※ユーザーIDは拍手時に振られるランダムな文字列で、Cookieに保存されます。<br />※Cookieの削除などによりユーザーIDが変化している場合、投稿は受け付ます。<?php echo $demo_text; ?></div>
			</li>
			<li><span class="manual-list">検索語 : <input type="text" size="5" name="search" id="search" value="" class="search-input" style="width:120px;" /><br />
			<p style="margin-top:5px;"><select><option>本文</option><option>名前</option><option>レス</option><option>設置</option></select></p>
			<p style="margin-top:5px;"><input type="radio" name="andor" id="and" class="search-radio" value="and" checked /><label for="and" accesskey="a"> and</label> <input type="radio" name="andor" id="or" class="search-radio" value="or" /><label for="or" accesskey="o"> or</label></p>
			</span>
				<div class="manual-text">入力単語を本文・名前・レス・設置IDのいずれかに含むコメントを検索できます。<br />単語をフォームに入力し、セレクトボックスで検索対象を選択してください。<br />単語はスペースで区切って複数指定できます。（全角半角可）<br />ラジオボタンでAND検索・OR検索を選択できます。</div>
			</li>
			
			
		</ul>
	</div>
	<hr size="1" noshade class="comment-line" color="#E0E0E0" />
</div><!-- wrapper end -->
<?php 
	if(!empty($conf_init)){ 
		logout_btn();
	}
	echo COPY_LIGHT;
?>
</body>
<script src="./js/qc-edit.js"></script>
<script type="text/javascript">
<!--
	var qc_url = "<?php echo $qc_url; ?>";
	var sid = "<?php echo $sid; ?>";
	var imgtag_l ='<?php echo $imglink_l; ?>';
	var imgtag_r ='<?php echo $imglink_r; ?>';
-->
</script>
</html>